import request from '@/utils/request'

// 查询项目报价--物料信息列表
export function listQuoteMaterial(query) {
  return request({
    url: '/system/QuoteMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询项目报价--物料信息详细
export function getQuoteMaterial(id) {
  return request({
    url: '/system/QuoteMaterial/' + id,
    method: 'get'
  })
}

// 新增项目报价--物料信息
export function addQuoteMaterial(data) {
  return request({
    url: '/system/QuoteMaterial',
    method: 'post',
    data: data
  })
}

// 修改项目报价--物料信息
export function updateQuoteMaterial(data) {
  return request({
    url: '/system/QuoteMaterial',
    method: 'put',
    data: data
  })
}

// 删除项目报价--物料信息
export function delQuoteMaterial(id) {
  return request({
    url: '/system/QuoteMaterial/' + id,
    method: 'delete'
  })
}
